easy_decoder_memusage.c File Reference

Decoder memory usage calculation to match easy encoder presets. More...

`#include "easy_preset.h"`

## Functions

uint64_t | lzma_easy_decoder_memusage (uint32_t preset)
| Calculate approximate decoder memory usage of a preset. More...

## Detailed Description

Decoder memory usage calculation to match easy encoder presets.

## Function Documentation

## lzma_easy_decoder_memusage()

uint64_t lzma_easy_decoder_memusage | ( | uint32_t | preset | ) |

Calculate approximate decoder memory usage of a preset.

This function is a wrapper for lzma_raw_decoder_memusage().

Parameters

  preset | Compression preset (level and possible flags)

Returns
  Number of bytes of memory required to decompress a file that was compressed using the given preset. If an error occurs, for example due to unsupported preset, UINT64_MAX is returned.

References lzma_easy_preset().